using APT.BaseData.Domain.Entities;
using APT.Infrastructure.Core;
using System;
using System.ComponentModel;
namespace APT.MS.Domain.Entities.SE
{
    /// <summary>
    /// 导航属性：新注册用户表附件
    /// </summary>
    [Description("新注册用户表附件")]
    public class T_SE_NEW_USERS_FILE : MesEntityBase
    {
        /// <summary>
        /// 新注册用户表ID
        /// </summary>
        [Description("新注册用户表ID")]
        [DataFieldForeignKey("Nav_NewUser", "Nav_Files")]
        public Guid NEW_USER_ID { get; set; }
        /// <summary>
        /// 导航属性：新注册用户表
        /// </summary>
        [Description("导航属性：新注册用户表记录")]
        public T_SE_NEW_USERS Nav_NewUser { get; set; }
        /// <summary>
        /// 文件ID
        /// </summary>
        [Description("文件ID")]
        [DataFieldForeignKey("Nav_ImgFile")]
        public Guid IMG_FILE_ID { get; set; }
        /// <summary>
        /// 导航属性：文件
        /// </summary>
        [Description("导航属性：文件")]
        public T_PF_IMG_FILE Nav_ImgFile { get; set; }
    }
}
